/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "pinocchio", "index.html", [
    [ "Overview", "index.html", [
      [ "What is Pinocchio?", "index.html#OverviewIntro", null ],
      [ "How to install Pinocchio?", "index.html#OverviewInstall", null ],
      [ "Simplest example with compilation command", "index.html#OverviewSimple", [
        [ "Compiling and running your program", "index.html#OverviewSimpleCompile", null ],
        [ "Explanation of the program", "index.html#OverviewSimpleExplain", null ]
      ] ],
      [ "More complex example with C++ and Python", "index.html#OverviewComplex", [
        [ "Compiling and running your program", "index.html#OverviewComplexCompile", null ],
        [ "Explanation of the program", "index.html#OverviewComplexExplain", null ]
      ] ],
      [ "About Python wrappings", "index.html#OverviewPython", null ],
      [ "How to cite Pinocchio", "index.html#OverviewCite", [
        [ "Easy solution: cite our open access paper", "index.html#autotoc_md242", null ],
        [ "Citing the software package", "index.html#autotoc_md243", null ],
        [ "Citing the derivative algorithms", "index.html#autotoc_md244", null ]
      ] ],
      [ "Where to go from here?", "index.html#OverviewConclu", null ]
    ] ],
    [ "Porting from Pinocchio 1.3.3 to 2.0.0", "md_doc__porting.html", [
      [ "What is included", "md_doc__porting.html#PortingIntro", null ],
      [ "Changes in C++", "md_doc__porting.html#PortingC", [
        [ "Header-only", "md_doc__porting.html#PortingCHeaderonly", null ],
        [ "Namespace", "md_doc__porting.html#PortingCNamespace", null ],
        [ "Deprecated macros", "md_doc__porting.html#PortingCMacros", null ],
        [ "Method signatures", "md_doc__porting.html#PortingCSignature", null ]
      ] ],
      [ "Changes in Python", "md_doc__porting.html#PortingPython", [
        [ "Namespace", "md_doc__porting.html#PortingPythonNamespace", null ],
        [ "RobotWrapper", "md_doc__porting.html#PortingPythonRobotWrapper", null ]
      ] ]
    ] ],
    [ "Main features of Pinocchio", "md_doc_a-features_intro.html", "md_doc_a-features_intro" ],
    [ "Examples", "md_doc_b-examples_intro.html", "md_doc_b-examples_intro" ],
    [ "Mathematical formulation", "md_doc_c-maths_intro.html", "md_doc_c-maths_intro" ],
    [ "Practical Exercises", "md_doc_d-practical-exercises_intro.html", "md_doc_d-practical-exercises_intro" ],
    [ "Implementation / Technical details", "md_doc_e-implementation_intro.html", "md_doc_e-implementation_intro" ],
    [ "Benchmarks", "md_doc_f-benchmarks_intro.html", "md_doc_f-benchmarks_intro" ],
    [ "Success Stories", "md_doc_g-success-stories_intro.html", [
      [ "List of projects succesfully using pinocchio", "md_doc_g-success-stories_intro.html#autotoc_md241", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Cheat sheet", "cheatsheet.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Enumerations", "namespacemembers_enum.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"classpinocchio_1_1InertiaTpl.html#a098384b0034af0daa7c9c5c82b563567ac59641d0b7afd6206e201ea0829e9bf5",
"classpinocchio_1_1MotionTpl.html#ae22fe81e671afd3da1df5e73b2136c8e",
"md_doc_a-features_intro.html",
"namespacemembers_e.html",
"structpinocchio_1_1CRBAChecker.html",
"structpinocchio_1_1CodeGenDifference.html#a7d011f47458f815b51455047e9268bb8",
"structpinocchio_1_1ConstraintRevoluteUnalignedTpl.html#ab071ef2ccb5b285cffb74ed0c6610ab3",
"structpinocchio_1_1GeometryData.html#ab485f712a3cfbd484f56afbd52b1896a",
"structpinocchio_1_1JointDataRevoluteTpl.html#a14bfd3ba9c835bbeff17e7b5e11a1cc2",
"structpinocchio_1_1JointModelFreeFlyerTpl.html#aa3aab53b331303f030635f498a168aae",
"structpinocchio_1_1JointModelTranslationTpl.html#a692da32069e2cede1e20d907a68c124f",
"structpinocchio_1_1MotionPlanarTpl.html#a93da95012765645aa65f376dfd055b47",
"structpinocchio_1_1SE3GroupAction_3_01MotionPrismaticTpl_3_01Scalar_00_01Options_00_01axis_01_4_01_4.html",
"structpinocchio_1_1SpecialOrthogonalOperationTpl_3_012_00_01__Scalar_00_01__Options_01_4.html#a3248fb666f1486efd42900746f3359a3",
"structpinocchio_1_1impl_1_1LhsMultiplicationOp_3_01Eigen_1_1MatrixBase_3_01M6Like_01_4_00_01Consfee45ed0271c215ee891cb8ca23cee2c.html#a24e2a400ace1eba4edf398910f529a77",
"structpinocchio_1_1traits_3_01InertiaTpl_3_01T_00_01U_01_4_01_4.html#ae6dc74837454f443c0ccbe72f9168c65",
"structpinocchio_1_1traits_3_01JointSphericalZYXTpl_3_01__Scalar_00_01__Options_01_4_01_4.html#acb105f35ed129d860d6a1572c0d0c92e",
"structpinocchio_1_1traits_3_01MotionZeroTpl_3_01__Scalar_00_01__Options_01_4_01_4.html#aeac2de18c0ed342a690b3e2ba3c52426adc101ebf31c49c2d4b80b7c6f59f22cb"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';